Retrieve social transactions for an account

Lists all transactions of the given social account.

Check the category field from the work platform API response or the "Category" column in this data guide to see which platfroms we serve under "social".

GET /v1/social/income/transactions
Basic auth

Query parameters

· 6
transaction_from_date string · date required

Return transactions on or after this date. (YYYY-MM-DD)

transaction_to_date string · date required

Return transactions on or before this date. (YYYY-MM-DD)

account_id string · uuid required

Unique ID of the connected account.

type string · enum

Type of transaction on the social platform

values

  • AD
  • SUBSCRIPTION
  • ADDITIONAL
limit integer · min: 1· max: 100· default: 10

The number of objects to be returned. It can be between 1 to 100. The default value is 10.

offset integer · min: 0· default: 0

The number of objects to skip. Use this argument for pagination. The default value is 0.

Responses